GDB (xrefs)

Classes | Macros | Typedefs | Functions | Variables
/tmp/gdb-8.1/gdb/solist.h File Reference
`#include "symtab.h"`
`#include "gdb_bfd.h"`

Go to the source code of this file.

## Classes
struct | lm_info_base
struct | so_list
struct | target_so_ops
struct | so_deleter

## Macros
#define | SO_NAME_MAX_PATH_SIZE 512 /* FIXME: Should be dynamic */
#define | ALL_SO_LIBS(so)

## Typedefs
typedef std::unique_ptr< so_list, so_deleter > | so_list_up

## Functions
void | free_so (struct so_list *so)
struct so_list * | master_so_list (void)
char * | exec_file_find (const char *in_pathname, int *fd)
char * | solib_find (const char *in_pathname, int *fd)
gdb_bfd_ref_ptr | solib_bfd_fopen (char *pathname, int fd)
gdb_bfd_ref_ptr | solib_bfd_open (char *in_pathname)
struct block_symbol | solib_global_lookup (struct objfile *objfile, const char *name, const domain_enum domain)

## Variables
struct target_so_ops * | current_target_so_ops

## Macro Definition Documentation

## ◆ ALL_SO_LIBS

#define ALL_SO_LIBS | ( |  | so | ) |

Value:
for (so = so_list_head; \
so != NULL; \
so = so->next)
so_list_head
#define so_list_head
Definition: solib.h:32

Definition at line 27 of file solist.h.

Referenced by info_sharedlibrary_command(), and mi_cmd_file_list_shared_libraries().

## ◆ SO_NAME_MAX_PATH_SIZE

#define SO_NAME_MAX_PATH_SIZE 512 /* FIXME: Should be dynamic */

Definition at line 22 of file solist.h.

Referenced by darwin_current_sos(), dsbt_current_sos(), frv_current_sos(), open_symbol_file_object(), solib_aix_current_sos(), solib_map_sections(), solib_target_current_sos(), svr4_default_sos(), svr4_read_so_list(), and windows_make_so().

## Typedef Documentation

## ◆ so_list_up

typedef std::unique_ptr<so_list, so_deleter> so_list_up

Definition at line 189 of file solist.h.

## Function Documentation

## ◆ exec_file_find()

char* exec_file_find | ( | const char * | in_pathname,
|  | int * | fd
| ) |  |

Definition at line 382 of file solib.c.

References effective_target_file_system_kind(), file_system_kind_dos_based, gdb_sysroot, IS_TARGET_ABSOLUTE_PATH, solib_find_1(), and source_full_path_of().

Referenced by exec_file_locate_attach(), and follow_exec().

## ◆ free_so()

void free_so | ( | struct so_list * | so | ) |

Definition at line 653 of file solib.c.

References clear_so(), target_so_ops::free_so, solib_ops(), target_gdbarch(), and xfree().

Referenced by clear_solib(), so_deleter::operator()(), svr4_current_sos(), svr4_free_library_list(), and update_solib_list().

## ◆ master_so_list()

struct so_list* master_so_list | ( | void |  | ) |

Definition at line 666 of file solib.c.

References so_list_head.

Referenced by enable_break(), free_all_objfiles(), frv_fdpic_find_canonical_descriptor(), frv_fdpic_find_global_pointer(), frv_fetch_objfile_link_map(), and svr4_fetch_objfile_link_map().

## ◆ solib_bfd_fopen()

gdb_bfd_ref_ptr solib_bfd_fopen | ( | char * | pathname,
|  | int | fd
| ) |  |

Definition at line 474 of file solib.c.

References _, error(), gdb_bfd_has_target_filename(), gdb_bfd_open(), gdb::ref_ptr< T, Policy >::get(), gnutarget, make_cleanup(), and xfree().

Referenced by darwin_bfd_open(), solib_aix_bfd_open(), and solib_bfd_open().

## ◆ solib_bfd_open()

gdb_bfd_ref_ptr solib_bfd_open | ( | char * | in_pathname | ) |

Definition at line 496 of file solib.c.

References _, error(), gdbarch_bfd_arch_info(), gdb::ref_ptr< T, Policy >::get(), perror_with_name(), solib_bfd_fopen(), solib_find(), target_gdbarch(), and warning().

Referenced by _initialize_dsbt_solib(), _initialize_frv_solib(), _initialize_solib_target(), _initialize_svr4_solib(), enable_break(), enable_break2(), reload_shared_libraries_1(), and solib_aix_bfd_open().

## ◆ solib_find()

char* solib_find | ( | const char * | in_pathname,
|  | int * | fd
| ) |  |

Definition at line 433 of file solib.c.

References gdbarch_solib_symbols_extension(), solib_find_1(), and target_gdbarch().

Referenced by darwin_bfd_open(), solib_aix_bfd_open(), and solib_bfd_open().

## ◆ solib_global_lookup()

struct block_symbol solib_global_lookup | ( | struct objfile * | objfile,
|  | const char * | name,
|  | const domain_enum | domain
| ) |  |

Definition at line 1466 of file solib.c.

References target_so_ops::lookup_lib_global_symbol, name, solib_ops(), and target_gdbarch().

Referenced by lookup_global_symbol().

## Variable Documentation

## ◆ current_target_so_ops

struct target_so_ops* current_target_so_ops

Definition at line 90 of file solib.c.

Referenced by _initialize_solib_target(), and solib_init().